Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
marshal_compat_t Struct Reference

## Data Fields
VALUE | newclass
VALUE | oldclass
VALUE(* | dumper )(VALUE)
VALUE(* | loader )(VALUE, VALUE)

## Detailed Description

Definition at line 86 of file marshal.c.

## Field Documentation

VALUE(* marshal_compat_t::dumper)(VALUE)

Definition at line 89 of file marshal.c.

Referenced by rb_marshal_define_compat(), and w_object().

VALUE(* marshal_compat_t::loader)(VALUE, VALUE)

Definition at line 90 of file marshal.c.

Referenced by r_leave(), and rb_marshal_define_compat().

VALUE marshal_compat_t::newclass

Definition at line 87 of file marshal.c.

Referenced by mark_marshal_compat_i(), and rb_marshal_define_compat().

VALUE marshal_compat_t::oldclass

Definition at line 88 of file marshal.c.

Referenced by mark_marshal_compat_i(), obj_alloc_by_klass(), and rb_marshal_define_compat().

The documentation for this struct was generated from the following file:

- marshal.c